=== debian/changelog ===
firefox-branding-iceweasel (0.4.0) unstable; urgency=low

  * Register a .desktop file and icons.
  * Marked as multiprocess-compatible.

 -- nord-stream <nord-stream@ochaken.jp.eu.org>  Sun, 26 Jun 2016 07:20:16 +0000

firefox-branding-iceweasel (0.3.2) unstable; urgency=low

  * Initial Debian packaging.  (Closes: #821210)
  * Removed support for older Firefox releases (<45.0).

 -- nord-stream <nord-stream@ochaken.jp.eu.org>  Sun, 29 May 2016 15:06:11 +0000
