=== debian/control ===
Source: firefox-branding-iceweasel
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: nord-stream <nord-stream@ochaken.jp.eu.org>
Build-Depends: debhelper (>= 9),
 mozilla-devscripts,
 librsvg2-bin,
 xsltproc,
 imagemagick
Build-Conflicts: graphicsmagick-imagemagick-compat
Standards-Version: 3.9.8
Homepage: https://notabug.org/desktopd/iceweasel-branding
Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/iceweasel-branding.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/iceweasel-branding.git

Package: xul-ext-iceweasel-branding
Architecture: all
Depends: ${misc:Depends},
 ${xpi:Depends}
Recommends:
 ${xpi:Recommends}
Enhances:
 ${xpi:Enhances}
Provides:
 firefox-branding-iceweasel,
 ${xpi:Provides}
Breaks:
 ${xpi:Breaks}
Conflicts: iceweasel (<< 45.0)
Description: Branding for Firefox to apply Iceweasel name and images
 This package preserves and restores the look and feel of Iceweasel, the Debian-
 rebranded version of Firefox distributed before Firefox came back to Debian.
 Most files were just copied from the original Iceweasel package, including the
 famous about:iceweasel page of historic value.
