=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --parallel
